<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    
    <style>
        header, main {
            padding: 20px;
            text-align: center;
            
        }

        body {
            color: white;
        }
    </style>
    <title>Enviando inimigos</title>
</head>
<body class="bg-dark">
    <div class="container align-items-center justify-content-center">
        <header>
            <div">
                <h1>Contexto</h1>
                <p>Você deve atacar a casa dos ovos! Envie códigos para destruir-los e acabar com a manipulação da temida Federação!</p>
            </div>
        </header>
        <main>
            <div>
                <form onsubmit="return false;" id="enviarInimigoForm">
                  <label for="quantidade">Inimigos:</label>
                  <input type="number" name="quantidade" id="quantidade" class="form-control" placeholder="digite a quantidade de inimigos a serem enviados" autofocus required>
                    <button id="envioInimigos" class="btn btn-success m-2">enviar</button>
                </form>
            </div>
            <div>
                <p>Não gostou da imagem da torre? Escolha outra!</p>
                <form onsubmit="return false" id="formEnviarImagemTorre">
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                          <span class="input-group-text me-2" id="enviarImagemTorre">Upload</span>
                        </div>
                        <div class="custom-file">
                          <input type="file" class="custom-file-input" id="arquivoTorre" name="nome_foto" required>
                        </div>
                      </div>
                </form>
            </div>
        </main>
    </div>
    <script
  src="https://code.jquery.com/jquery-3.7.0.min.js"
  integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g="
  crossorigin="anonymous"></script>
    <script>
        $(document).on("click", "#envioInimigos", function () {
            var vetor_dados = $("#enviarInimigoForm").serializeArray();
            var chave_valor = {};
            for (var i = 0; i < vetor_dados.length; i++) {
            chave_valor[vetor_dados[i]['name']] = vetor_dados[i]['value'];
         }

         var dados_json = JSON.stringify(chave_valor);
            var acao = $.ajax({
            url: "http://localhost:5000/criarInimigos",
            method: 'POST',
            dataType: 'json',
            contentType: 'application/json',
            data: dados_json
        });

        });
        $(document).on("click", "#enviarImagemTorre", function () {
            var dados_foto = new FormData($('#formEnviarImagemTorre')[0]);

            $.ajax({
            url: 'http://localhost:5000/salvar_imagem',
            method: 'POST',
            //dataType: 'json',
            data: dados_foto, // dados serão enviados em formato normal, para upload da foto
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                insereImagem();
            },
            error: function (data) {
                alert("deu ruim");
            }
        });
        function insereImagem() {
            nome_foto = $("#arquivoTorre").val().substr(12);
            var dados = JSON.stringify({nome_foto: nome_foto });
           
            $.ajax({
                url: 'http://localhost:5000/incluir_imagem',
                method: 'POST',
                dataType: 'json',
                //contentType: 'application/json',
                data: dados,
                success: sucesso,
                error: erro
            });
            function sucesso(retorno) {
                if (retorno.resultado == "ok") {
                    alert("imagem salva!");
                } else {

                    alert(retorno.resultado + ":" + retorno.detalhes);
                }
            };
            function erro(retorno) {

                alert("ERRO: " + retorno.resultado + ":" + retorno.detalhes);
            }
            }

            });
    </script>
</body>
</html>